TICKIT_WINDOW_TAKE_FOCUS(3)

NAME
tickit_window_take_focus, tickit_window_is_focused - control the input focus

SYNOPSIS
    #include <tickit.h>

    void tickit_window_take_focus(TickitWindow *win);
    bool tickit_window_is_focused(const TickitWindow *win);

Link with -ltickit.

DESCRIPTION
tickit_window_take_focus() requests that the given window take the input focus, causing respectively the parent to take focus, recursively to the root. The terminal cursor will then take the properties defined by the given window. This results in a TICKIT_EV_FOCUS event being delivered to the previous owner of the focus, as well as to the given window.

tickit_window_is_focused() returns true if the given window currently has the input focus.

RETURN VALUE
tickit_window_take_focus() returns no value. tickit_window_is_focused() returns a boolean.

SEE ALSO
tickit_window_new(3), tickit_window_set_cursor_position(3), tickit_window_set_focus_child_notify(3), tickit_window_bind_event(3), tickit_window(7), tickit(7)